Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.wire
Class UDPLayerImpl.Envelope

    java.lang.Object
      org.mpisws.p2p.transport.wire.UDPLayerImpl.Envelope

All Implemented Interfaces:
  MessageRequestHandle<java.net.InetSocketAddress,java.nio.ByteBuffer>, Cancellable

Enclosing class:
  UDPLayerImpl

    public class UDPLayerImpl.Envelope

extends java.lang.Object
implements MessageRequestHandle<java.net.InetSocketAddress,java.nio.ByteBuffer>

Internal class which holds a pending datagram

Author:
  amislove

Field Summary
`protected MessageCallback<java.net.InetSocketAddress,java.nio.ByteBuffer>` | `continuation`
`protected java.net.InetSocketAddress` | `destination`
`protected java.nio.ByteBuffer` | `msg` The message sans header.

Constructor Summary
`UDPLayerImpl.Envelope(java.net.InetSocketAddress destination, java.nio.ByteBuffer msg, MessageCallback<java.net.InetSocketAddress,java.nio.ByteBuffer> deliverAckToMe, java.util.Map<java.lang.String,java.lang.Object> options)` Constructor for Envelope.

Method Summary
`boolean` | `cancel()`
`java.net.InetSocketAddress` | `getIdentifier()`
`java.nio.ByteBuffer` | `getMessage()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getOptions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destination

    protected java.net.InetSocketAddress destination

### msg

    protected java.nio.ByteBuffer msg

  The message sans header.

### continuation

    protected MessageCallback<java.net.InetSocketAddress,java.nio.ByteBuffer> continuation

Constructor Detail

### UDPLayerImpl.Envelope

    public UDPLayerImpl.Envelope(java.net.InetSocketAddress destination,
                                 java.nio.ByteBuffer msg,
                                 MessageCallback<java.net.InetSocketAddress,java.nio.ByteBuffer> deliverAckToMe,
                                 java.util.Map<java.lang.String,java.lang.Object> options)

  Constructor for Envelope.

  Parameters:
    `adr` - DESCRIBE THE PARAMETER
    `m` - DESCRIBE THE PARAMETER

Method Detail

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `Cancellable`
  Returns:
    true if it was cancelled, false if it was already complete, or cancelled.

### getIdentifier

    public java.net.InetSocketAddress getIdentifier()

  Specified by:
    `getIdentifier` in interface `MessageRequestHandle<java.net.InetSocketAddress,java.nio.ByteBuffer>`

### getMessage

    public java.nio.ByteBuffer getMessage()

  Specified by:
    `getMessage` in interface `MessageRequestHandle<java.net.InetSocketAddress,java.nio.ByteBuffer>`

### getOptions

    public java.util.Map<java.lang.String,java.lang.Object> getOptions()

  Specified by:
    `getOptions` in interface `MessageRequestHandle<java.net.InetSocketAddress,java.nio.ByteBuffer>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.